OMGridData (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.grid
Class OMGridData

    java.lang.Object
      com.bbn.openmap.omGraphics.grid.OMGridData

All Implemented Interfaces:
  GridData

Direct Known Subclasses:
  OMGridData.Boolean, OMGridData.Byte, OMGridData.Char, OMGridData.Double, OMGridData.Float, OMGridData.Int, OMGridData.Short

    public abstract class OMGridData

extends java.lang.Object
implements GridData

Nested Class Summary
`static class` | `OMGridData.Boolean` Boolean is a GridData object that contains booleans.
`static class` | `OMGridData.Byte` Byte is a GridData object that contains bytes.
`static class` | `OMGridData.Char` Char is a GridData object that contains chars.
`static class` | `OMGridData.Double` Double is a GridData object that contains doubles.
`static class` | `OMGridData.Float` Float is a GridData object that contains floats.
`static class` | `OMGridData.Int` Int is a GridData object that contains ints.
`static class` | `OMGridData.Short` Short is a GridData object that contains shorts.

Field Summary
`protected boolean` | `major` Keep track of which dimension different parts of the double array represent.

Constructor Summary
`OMGridData()`

Method Summary
`boolean` | `getMajor()`
`void` | `setMajor(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.grid.GridData
`deepCopy, get, getNumColumns, getNumRows`

Field Detail

### major

    protected boolean major

  Keep track of which dimension different parts of the double array represent. COLUMN_MAJOR is the default, meaning that the first dimension of the array represents the vertical location in the array, and the second is the horizontal location in the array.

Constructor Detail

### OMGridData

    public OMGridData()

Method Detail

### setMajor

    public void setMajor(boolean value)

  Specified by:
    `setMajor` in interface `GridData`

### getMajor

    public boolean getMajor()

  Specified by:
    `getMajor` in interface `GridData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details